--[[
-- Author: Biphe
-- Date Modified: June 6, 2014
-- Game Type: 2D Diablo like Rpg
-- Current Goals...
--- A System to manage game windows, like menus, etc..
--- A System to manage the Map Loading, If I get good a map editor
--- Game Camera
--- Enemies
--- Enemy Spawner
--- Player Movement
--- Player Inventory
--]]--

require 'lib/player'
require 'lib/map'
require 'lib/gamestate'
require 'lib/window'

function love.load()
  game = GameState.new(true)
  msg_box = GameState.new(false)
  player = Player.new(32, 32, 200, 100, 10, 10, 10)
  textbox = Window.new(25, 375, 750, 200)
end

function love.update(dt)
  if game.running == true and msg_box.running == false then
    if love.keyboard.isDown("up") then
      player.y = player.y - (player.speed * dt)
    end
    if love.keyboard.isDown("down") then
      player.y = player.y + (player.speed * dt)
    end
    if love.keyboard.isDown("left") then
      player.x = player.x - (player.speed * dt)
    end
    if love.keyboard.isDown("right") then
      player.x = player.x + (player.speed * dt)
    end
  end
end

function love.keypressed(key)
  if key == 'escape' then
    love.event.quit()
  end
  if key == "k" then
    msg_box.running = true
  end
  if key == "q" then
    msg_box.running = false
  end
end

function love.draw()
    if game.running == true then
      --love.graphics.setBackgroundColor(255,255,255)
      love.graphics.rectangle("fill", player.x, player.y, player.w, player.h)
      if msg_box.running == true then
        textbox:draw()
      end
    end
end

